#!/bin/sh
#SBATCH -J ABC
#SBATCH -c 8
#SBATCH -a 1-543
#SBATCH -o /dev/null
#SBATCH -e /dev/null
. ./config.sh
path="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $2}' benchmarks`"
name="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $3}' benchmarks`"
binary=./binary
exec 1>"$name".log 2>"$name".err
echo "c array.sh: path:     $path"
echo "c array.sh: name:     $name"
echo "c array.sh: task:     $SLURM_ARRAY_TASK_ID"
echo "c array.sh: host:     `hostname`"
echo "c array.sh: uname:    `uname -a`"
echo "c array.sh: start:    `date`"
echo "c array.sh: noturbo:  `show-turbo-mode-disabled.sh`"
echo "c array.sh: governor: `show-scaling-governors.sh |awk '{print $NF}'|sort|uniq -c|sed -e 's,^ *,,'`"
echo "c array.sh: tmp:      `df -m /tmp/|tail -1|awk '{print $(NF-1)}'`"
unzipped="/tmp/local-unzipped-${SLURM_ARRAY_JOB_ID}-${SLURM_ARRAY_TASK_ID}-${name}"
trap "rm -f ${unzipped}*" 2 3 9 15
echo "read ${unzipped}" > "${unzipped}_F"
echo "pdr -v ${options}" >> "${unzipped}_F"
cp $path $unzipped
echo "c array.sh: copied: $unzipped"
runlim \
  --single \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  ${binary} -F ${unzipped}_F
rm -f "${unzipped}*"
echo "c array.sh: end:      `date`"
